#! /usr/bin/env python
# -*- coding: utf-8 -*-
"""
package/install python-mailutil
"""

import sys
import os
from distutils.core import setup

sys.path.insert(0, os.getcwd())

import mailutil

setup(
    #-- Package description
    name='mailutil',
    license='Apache License, Version 2.0',
    version=mailutil.__version__,
    description='mail utility module',
    long_description="""mailutil:
This module contains
1. wrapper classes for smtplib.SMTP for better TLS support
2. Factory function which opens SMTP connections described by URL
""",
    author='Michael Stroeder',
    author_email='michael@stroeder.com',
    maintainer='Michael Stroeder',
    maintainer_email='michael@stroeder.com',
    url='https://www.stroeder.com/mailutil.html',
    download_url='https://pypi.python.org/pypi/mailutil',
    py_modules=['mailutil'],
    keywords=['SMTP','STARTTLS'],
    provides=['mailutil (%s)' % mailutil.__version__],
    classifiers=[
        'Development Status :: 5 - Production/Stable',
        'Environment :: No Input/Output (Daemon)',
        'Intended Audience :: Developers',
        'Intended Audience :: System Administrators',
        'License :: OSI Approved :: Apache Software License',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Topic :: Communications :: Email',
        'Topic :: Communications :: Email :: Email Clients (MUA)',
        'Topic :: Internet',
        'Topic :: Software Development :: Libraries :: Python Modules',
    ]
)
